ByteArraySerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.model

## Class ByteArraySerializer

- java.lang.Object
- - opennlp.tools.util.model.ByteArraySerializer

- All Implemented Interfaces:
    ArtifactSerializer<byte[]>

      public class ByteArraySerializer
      extends Object
      implements ArtifactSerializer<byte[]>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArraySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(byte[] artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArraySerializer

          public ByteArraySerializer()

  - ### Method Detail

    - #### create

          public byte[] create(InputStream in)
                        throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<byte[]>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(byte[] artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<byte[]>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.